summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2021-04-26 01:55:54 +0200
committerRobert Günzler <r@gnzler.io>2021-04-26 02:09:49 +0200
commit72074db0c0ad60b6d7134cff34ef4855a134fb30 (patch)
tree000a34c578cbbd7fdc306b6491bf3ee0236f1cbf /bin
parent55347a0998f4f0877cc447a851110bdd6da5815b (diff)
prompt: add git-bug count
Diffstat (limited to 'bin')
-rwxr-xr-xbin/hibiki/prompt7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/hibiki/prompt b/bin/hibiki/prompt
index ee77770..e28336d 100755
--- a/bin/hibiki/prompt
+++ b/bin/hibiki/prompt
@@ -11,6 +11,9 @@ fi
 RESET="\[$(tput sgr0)\]"
 
 # count jobs
-JOBS='`[ \j -gt 0 ] && printf " (\j)"`'
+JOBS='`[ \j -gt 0 ] && printf " 󰘙 \j"`'
 
-echo "${SET_TERM_TITLE}${color}\w${RESET}${JOBS} ❱ "
+# show git-bug tickets
+BUGS='`exit=$?; git rev-parse >/dev/null 2>&1 && printf " 󰨰 $(git bug ls --status=open | wc -l)"; exit $exit`'
+
+echo "${SET_TERM_TITLE}${color}\w${RESET}${JOBS}${BUGS} ❱ "